DL_Keys_ECGDSA< EC > Struct Template Reference

Elliptic Curve German DSA keys for ISO/IEC 15946. More...

`#include <eccrypto.h>`

Inheritance diagram for DL_Keys_ECGDSA< EC >:

## Public Types

typedef DL_PublicKey_ECGDSA< EC > | PublicKey
typedef DL_PrivateKey_ECGDSA< EC > | PrivateKey

## Detailed Description

template<class EC>
struct DL_Keys_ECGDSA< EC >

Elliptic Curve German DSA keys for ISO/IEC 15946.

Template Parameters

  EC | elliptic curve field

See also
  ECGDSA

Since
  Crypto++ 6.0

Definition at line 552 of file eccrypto.h.

## Member Typedef Documentation

## PublicKey

template<class EC >

typedef DL_PublicKey_ECGDSA<EC> DL_Keys_ECGDSA< EC >::PublicKey

Definition at line 554 of file eccrypto.h.

## PrivateKey

template<class EC >

typedef DL_PrivateKey_ECGDSA<EC> DL_Keys_ECGDSA< EC >::PrivateKey

Definition at line 555 of file eccrypto.h.

The documentation for this struct was generated from the following file:

- eccrypto.h